Checks if the cursor may have additional results

- « MongoDB\Driver\CursorInterface::getServer

- MongoDB\Driver\CursorInterface::setTypeMap »

- PHP Manual
- MongoDB\Driver\CursorInterface
- Checks if the cursor may have additional results

# MongoDB\Driver\CursorInterface::isDead

(mongodb >=1.6.0)

MongoDB\Driver\CursorInterface::isDead — Checks if the cursor may have additional results

### Description

abstract public MongoDB\Driver\CursorInterface::isDead(): bool

Checks whether the cursor may have additional results available to read. A cursor is initially "alive" but may become "dead" for any of the following reasons:

- Advancing a non-tailable cursor did not return a document
- The cursor encountered an error
- The cursor read its last batch to completion
- The cursor reached its configured limit

This is primarily useful with tailable cursors.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if additional results are not available, and `false` otherwise.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Cursor::isDead() - Checks if the cursor is exhausted or may have additional results